# DarAuthority: dag

# DarContact: Alexandre Parenteau <aubonbeurre@hotmail.com>
# DarTag: test
# DarDistcc: 0

%define dfi %(which desktop-file-install &>/dev/null; echo $?)

Summary: gCvs is a GTK+ interface for CVS (Concurrent Version System)
Name: gcvs
Version: 1.0
Release: 0.test
License: GPL
Group: Development/Tools
URL: http://cvsgui.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

Obsoletes: cvs

%description
The gcvs package contains an interface for cvs written in C++ using
gtk+. It contains a version of cvs modified for communication
purposes with gcvs. gcvs is part of a bigger project named CvsGui
which provides several graphical clients on Mac and Windows as well.

%prep
%setup

%build
CFLAGS="%{optflags}" ./make_configure \
	--disable-dependency-tracking \
	--prefix="%{_prefix}" --bindir="%{_bindir}" --libdir="%{_libdir}" \
	--mandir="%{_mandir}" --infodir="%{_infodir}" --datadir="%{_datadir}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

cat <<EOF >gnome-%{name}.desktop
[Desktop Entry]
Name=gcvs
Comment=GNOME CVS client
Icon=gnome-util.png 
Exec=gcvs
Type=Application
Terminal=false
EOF

%if %{dfi}
	%{__install} -d -m0755 %{buildroot}%{_datadir}/gnome/apps/Utilities/
	%{__install} -m0644 gnome-%{name}.desktop %{buildroot}%{_datadir}/gnome/apps/Utilities/
%else
	%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
	desktop-file-install --vendor gnome                \
		--add-category X-Red-Hat-Base              \
		--add-category Application                 \
		--add-category Utility                     \
		--dir %{buildroot}%{_datadir}/applications \
		gnome-%{name}.desktop
%endif

%post
/sbin/install-info %{_infodir}/cvs.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/cvsclient.info.gz %{_infodir}/dir
/sbin/ldconfig

%preun
/sbin/install-info --delete %{_infodir}/cvs.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/cvsclient.info.gz %{_infodir}/dir

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_infodir}/cvs*
%{_libdir}/cvs/
%{_mandir}/man?/*
%{_datadir}/gcvs/
%if %{dfi}
        %{_datadir}/gnome/apps/Utilities/*.desktop
%else
        %{_datadir}/applications/*.desktop
%endif

%changelog
* Sun Apr 20 2003 Dag Wieers <dag@wieers.com> - 1.0-0
- Initial package. (using DAR)
